Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.xensource.xenapi
Enum Types.VmPowerState

    java.lang.Object
      java.lang.Enum<Types.VmPowerState>
          com.xensource.xenapi.Types.VmPowerState

All Implemented Interfaces:
  Serializable, Comparable<Types.VmPowerState>

Enclosing class:
  Types

    public static enum Types.VmPowerState

extends Enum<Types.VmPowerState>

Enum Constant Summary
`HALTED` VM is offline and not using any resources
`PAUSED` All resources have been allocated but the VM itself is paused and its vCPUs are not running
`RUNNING` Running
`SUSPENDED` VM state has been saved to disk and it is nolonger running.
`UNRECOGNIZED` The value does not belong to this enumeration

Method Summary
`String` | `toString()`
`static Types.VmPowerState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Types.VmPowerState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNRECOGNIZED

    public static final Types.VmPowerState UNRECOGNIZED

  The value does not belong to this enumeration

### HALTED

    public static final Types.VmPowerState HALTED

  VM is offline and not using any resources

### PAUSED

    public static final Types.VmPowerState PAUSED

  All resources have been allocated but the VM itself is paused and its vCPUs are not running

### RUNNING

    public static final Types.VmPowerState RUNNING

  Running

### SUSPENDED

    public static final Types.VmPowerState SUSPENDED

  VM state has been saved to disk and it is nolonger running. Note that disks remain in-use while the VM is suspended.

Method Detail

### values

    public static Types.VmPowerState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Types.VmPowerState c : Types.VmPowerState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Types.VmPowerState valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<Types.VmPowerState>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD